net.corda.node.utilities

## Class JDBCHashMapKt

- net.corda.node.utilities.JDBCHashMapKt

-     public class JDBCHashMapKt

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> SerializedBytes<T>` | `bytesFromBlob(java.sql.Blob blob)`
    `static java.sql.Blob` | `bytesToBlob(SerializedBytes<?> value, java.util.List<kotlin.jvm.functions.Function0> finalizables)`
    `static <T> T` | `deserializeFromBlob(java.sql.Blob blob)`
    `static int` | `getDEFAULT_MAX_BUCKETS()` The default maximum size of the LRU cache.
    `static java.sql.Blob` | `serializeToBlob(java.lang.Object value, java.util.List<kotlin.jvm.functions.Function0> finalizables)`

- - ### Method Detail

    - #### getDEFAULT_MAX_BUCKETS

          public static int getDEFAULT_MAX_BUCKETS()

      The default maximum size of the LRU cache.

      TODO: make this value configurable TODO: tune this value, as it's currently mostly a guess

    - #### bytesToBlob

          public static java.sql.Blob bytesToBlob(SerializedBytes<?> value,
                                                  java.util.List<kotlin.jvm.functions.Function0> finalizables)

    - #### serializeToBlob

          public static java.sql.Blob serializeToBlob(java.lang.Object value,
                                                      java.util.List<kotlin.jvm.functions.Function0> finalizables)

    - #### bytesFromBlob

          public static <T> SerializedBytes<T> bytesFromBlob(java.sql.Blob blob)

    - #### deserializeFromBlob

          public static <T> T deserializeFromBlob(java.sql.Blob blob)